newSWFSound(3)

NAME
newSWFSound - Creates a new EventSound object.

SYNOPSIS
#include <ming.h>

SWFSound newSWFSound
(
    FILE *f,
    byte flags
);

PARAMETERS

FILE *f
    Not Documented.

byte flags
    Not Documented.

DESCRIPTION
The sound to be played is contained in a file and specified with flags. Flags must contain a sound format, sampling rate, size (in bits) and channels. If the file contains mp3 data it is not necessary to specify sampling rate, sound size and channels.

POSSIBLE SOUND FORMATS ARE
- SWF_SOUND_NOT_COMPRESSED
- SWF_SOUND_ADPCM_COMPRESSED
- SWF_SOUND_MP3_COMPRESSED
- SWF_SOUND_NOT_COMPRESSED_LE
- SWF_SOUND_NELLY_COMPRESSED.

SAMPLING RATE MUST BE ONE OF THE FOLLOWING VALUES
- SWF_SOUND_5KHZ
- SWF_SOUND_11KHZ
- SWF_SOUND_22KHZ
- SWF_SOUND_44KHZ Sound size is either SWF_SOUND_8BITS or SWF_SOUND_16BITS Channels are either SWF_SOUND_MONO or SWF_SOUND_STEREO.